summaryrefslogtreecommitdiffstats
path: root/vendor/proptest/test-persistence-location
diff options
context:
space:
mode:
authorDaniel Baumann <daniel.baumann@progress-linux.org>2024-05-18 02:49:50 +0000
committerDaniel Baumann <daniel.baumann@progress-linux.org>2024-05-18 02:49:50 +0000
commit9835e2ae736235810b4ea1c162ca5e65c547e770 (patch)
tree3fcebf40ed70e581d776a8a4c65923e8ec20e026 /vendor/proptest/test-persistence-location
parentReleasing progress-linux version 1.70.0+dfsg2-1~progress7.99u1. (diff)
downloadrustc-9835e2ae736235810b4ea1c162ca5e65c547e770.tar.xz
rustc-9835e2ae736235810b4ea1c162ca5e65c547e770.zip
Merging upstream version 1.71.1+dfsg1.
Signed-off-by: Daniel Baumann <daniel.baumann@progress-linux.org>
Diffstat (limited to 'vendor/proptest/test-persistence-location')
-rw-r--r--vendor/proptest/test-persistence-location/README.md6
-rw-r--r--vendor/proptest/test-persistence-location/run-tests.bat23
-rwxr-xr-xvendor/proptest/test-persistence-location/run-tests.sh28
3 files changed, 57 insertions, 0 deletions
diff --git a/vendor/proptest/test-persistence-location/README.md b/vendor/proptest/test-persistence-location/README.md
new file mode 100644
index 000000000..173213fc1
--- /dev/null
+++ b/vendor/proptest/test-persistence-location/README.md
@@ -0,0 +1,6 @@
+This directory contains two independent cargo worspaces, one which is a
+traditional single-crate workspace and another which is a multi-crate workspace
+(with only one crate, but what matters is the directory layout).
+
+These are used to test where the persistence files end up when all is said and
+done.
diff --git a/vendor/proptest/test-persistence-location/run-tests.bat b/vendor/proptest/test-persistence-location/run-tests.bat
new file mode 100644
index 000000000..bb4f4891d
--- /dev/null
+++ b/vendor/proptest/test-persistence-location/run-tests.bat
@@ -0,0 +1,23 @@
+cd single-crate
+rd /s /q proptest-regressions
+cargo test >cargo.txt
+cargo clean >nul
+if not exist proptest-regressions/submodule/code.txt goto fail
+
+cd ..\workspace
+rd /s /q proptest-regressions
+cargo test --all >cargo.txt
+cargo clean >nul
+if not exist member/proptest-regressions/submodule/code.txt goto fail
+cd ..
+
+echo All persistence files written to correct location.
+echo PASS
+exit /b
+
+:fail
+echo Persistence file not in expected location. FS:
+dir /s
+echo Cargo output:
+type cargo.txt
+exit /b 1
diff --git a/vendor/proptest/test-persistence-location/run-tests.sh b/vendor/proptest/test-persistence-location/run-tests.sh
new file mode 100755
index 000000000..a642055a6
--- /dev/null
+++ b/vendor/proptest/test-persistence-location/run-tests.sh
@@ -0,0 +1,28 @@
+#! /bin/sh
+
+find . -name \*.txt -o -name proptest-regressions -depth -exec rm -rf {} \; || \
+ exit $?
+
+(
+ cd single-crate
+ cargo test >cargo-out.txt 2>&1 # Ignore expected failure
+ cargo clean >/dev/null
+ if ! test -f proptest-regressions/submodule/code.txt; then
+ echo >&2 "Persistence file not written to the correct location. FS:"
+ find . >&2
+ echo >&2 "Cargo output:"
+ cat >&2 cargo-out.txt
+ exit 1
+ fi
+) && (
+ cd workspace
+ cargo test --all >cargo-out.txt 2>&1 # Ignore expected failure
+ cargo clean >/dev/null
+ if ! test -f member/proptest-regressions/submodule/code.txt; then
+ echo >&2 "Persistence file not written to the correct location. FS:"
+ find . >&2
+ echo >&2 "Cargo output:"
+ cat >&2 cargo-out.txt
+ exit 1
+ fi
+)